File Ingest
アップロード済みファイルを GCS から取得して取り込む(Section 4・非同期2段目)。editor 以上。
POST
/sources/file-ingestHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsonsource_idstringrequiredResponses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/sources/file-ingest" \
-H "Content-Type: application/json" \
-d '{
"source_id": "string"
}'const response = await fetch("/sources/file-ingest", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"source_id": "string"
})
});import requests
response = requests.post(
"/sources/file-ingest",
headers={
"Content-Type": "application/json"
},
json={
"source_id": "string"
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}